Skip to content

HTTPS clone URL

Subversion checkout URL

You can clone with
or
.
Download ZIP
Browse files

Guard against attempting YAML::ENGINE.yamler = "syck" in older rubies.

  • Loading branch information...
commit 05635776a7ac220b49f4c30457afa1d7eca43497 1 parent cbb4060
@pda pda authored gaffneyc committed
Showing with 1 addition and 1 deletion.
  1. +1 −1  lib/delayed/yaml_ext.rb
View
2  lib/delayed/yaml_ext.rb
@@ -2,7 +2,7 @@
# Classes, Modules and Structs
require 'yaml'
-YAML::ENGINE.yamler = "syck"
+YAML::ENGINE.yamler = "syck" if defined?(YAML::ENGINE)
class Module
yaml_as "tag:ruby.yaml.org,2002:module"
Please sign in to comment.
Something went wrong with that request. Please try again.